<?php
// $Id$

/**
 * @file
 *
 */

$info = array();

// basic color fields
$info['fields'] = array(
  'text' => t('Content: text'),
  'links' => t('Content: links'),
  'headers' => t('Content: headers'),
  'bgmain' => t('Background: fill'),
  'bgtop' => t('Background: top'),
  'bgtext' => t('Background: text'),
  'bglinks' => t('Background: links'),
  'headerbg' => t('Header: bg'),
  'headertext' => t('Header: text'),
  'headerglow' => t('Menu: glow'),
  'menubg' => t('Menu: item bg'),
  'menutext' => t('Menu: text'),
  'menuactivebg' => t('Menu: active bg'),
  'menuactivetext' => t('Menu: active text'),
  'blockheaderbg' => t('Block header: bg'),
  'blockheadertext' => t('Block header: text'),
  'blockbg' => t('Block: background'),
  'blocktext' => t('Block: text'),
  'blocklinks' => t('Block: links'),
  'teaserbg' => t('Teaser: bg'),
  'teaserborder' => t('Teaser: border'),
  'submittedbg' => t('Post info: bg'),
  'submittedtext' => t('Post info: text'),
  'triptychbg' => t('Triptych: bg'),
  'triptychlinks' => t('Triptych: links'),
);

// Default color scheme
$info['schemes']['default'] = array(
  'title' => t('Default'),
  'colors' => array(
    'text' => '#6e6d54',
    'links' => '#3996c5',
    'headers' => '#6d6c53',
    'bgmain' => '#736f57',
    'bgtop' => '#38362a',
    'bgtext' => '#fefefe',
    'bglinks' => '#bbfe01',
    'headerbg' => '#dad5ba',
    'headertext' => '#68624b',
    'headerglow' => '#f3f1e5',
    'menubg' => '#999473',
    'menutext' => '#bafe00',
    'menuactivebg' => '#39372b',
    'menuactivetext' => '#bafe01',
    'blockheaderbg' => '#999474',
    'blockheadertext' => '#bbfe00',
    'blockbg' => '#f2f0e4',
    'blocktext' => '#6e6d53',
    'blocklinks' => '#3995c5',
    'teaserbg' => '#f2f0e5',
    'teaserborder' => '#999374',
    'submittedbg' => '#999373',
    'submittedtext' => '#f2f1e4',
    'triptychbg' => '#dad5b9',
    'triptychlinks' => '#3996c6',
  ),
);

$info['css'] = array('css/colors.css');

// Files we want to copy along with the CSS files, let's define these later.
$info['copy'] = array(
  'logo.png',
);

// Files used in the scheme preview.
$info['preview_css'] = 'color/preview.css';
$info['preview_js'] = 'color/preview.js';
$info['preview_html'] = 'color/preview.html';

// Gradients
$info['gradients'] = array();

// Color areas to fill (x, y, width, height).
$info['fill'] = array();

// Coordinates of all the theme slices (x, y, width, height)
// with their filename as used in the stylesheet.
$info['slices'] = array();

// Base file for image generation.
$info['base_image'] = 'color/base.png';


// More color schemes
$info['schemes']['sand'] = array(
  'title' => t('Red-orange Sand'),
  'colors' => array(
    'text' => '#524314',
    'links' => '#9f5809',
    'headers' => '#524314',
    'bgmain' => '#dcd1ad',
    'bgtop' => '#2c2307',
    'bgtext' => '#524314',
    'bglinks' => '#e3decf',
    'headerbg' => '#c9ab4c',
    'headertext' => '#584b23',
    'headerglow' => '#e3decf',
    'menubg' => '#a3210b',
    'menutext' => '#dbb748',
    'menuactivebg' => '#5e1508',
    'menuactivetext' => '#e3decf',
    'blockheaderbg' => '#a3210b',
    'blockheadertext' => '#dbb748',
    'blockbg' => '#e3decf',
    'blocktext' => '#524314',
    'blocklinks' => '#9f5809',
    'teaserbg' => '#e3decf',
    'teaserborder' => '#c9ab4c',
    'submittedbg' => '#c9ab4c',
    'submittedtext' => '#e3decf',
    'triptychbg' => '#ffffff',
    'triptychlinks' => '#9f5809',
  ),
);
$info['schemes']['green'] = array(
  'title' => t('Mono Green'),
  'colors' => array(
    'text' => '#5f6e54',
    'links' => '#508b12',
    'headers' => '#4b6132',
    'bgmain' => '#25390e',
    'bgtop' => '#5e8f2d',
    'bgtext' => '#c4d2b6',
    'bglinks' => '#c4d2b6',
    'headerbg' => '#e8f1df',
    'headertext' => '#508b12',
    'headerglow' => '#abcb8a',
    'menubg' => '#5e8f2d',
    'menutext' => '#c4d2b6',
    'menuactivebg' => '#32392b',
    'menuactivetext' => '#c4d2b6',
    'blockheaderbg' => '#5e8f2d',
    'blockheadertext' => '#c4d2b6',
    'blockbg' => '#ebf2e4',
    'blocktext' => '#616e53',
    'blocklinks' => '#508b12',
    'teaserbg' => '#ebf2e4',
    'teaserborder' => '#5e8f2d',
    'submittedbg' => '#5e8f2d',
    'submittedtext' => '#c4d2b6',
    'triptychbg' => '#25390e',
    'triptychlinks' => '#508b12',
  ),
);
$info['schemes']['colonial'] = array(
  'title' => t('Colonial'),
  'colors' => array(
    'text' => '#242e2e',
    'links' => '#306f6f',
    'headers' => '#536d6d',
    'bgmain' => '#577373',
    'bgtop' => '#2a3838',
    'bgtext' => '#242e2e',
    'bglinks' => '#ac914a',
    'headerbg' => '#dad3ba',
    'headertext' => '#4b6868',
    'headerglow' => '#dad3ba',
    'menubg' => '#bdb185',
    'menutext' => '#8b712d',
    'menuactivebg' => '#749799',
    'menuactivetext' => '#ffffff',
    'blockheaderbg' => '#749799',
    'blockheadertext' => '#ffffff',
    'blockbg' => '#e0ebeb',
    'blocktext' => '#536e6e',
    'blocklinks' => '#ac914a',
    'teaserbg' => '#dad3ba',
    'teaserborder' => '#bdb185',
    'submittedbg' => '#bdb185',
    'submittedtext' => '#ffffff',
    'triptychbg' => '#ffffff',
    'triptychlinks' => '#ac914a',
  ),
);
$info['schemes']['bluelagoon'] = array(
  'title' => t('Blue Lagoon'),
  'colors' => array(
    'text' => '#3b3b3b',
    'links' => '#0071b3',
    'headers' => '#3b3b3b',
    'bgmain' => '#ffffff',
    'bgtop' => '#48a9e4',
    'bgtext' => '#3b3b3b',
    'bglinks' => '#0071b3',
    'headerbg' => '#0779bf',
    'headertext' => '#ffffff',
    'headerglow' => '#0779bf',
    'menubg' => '#c5e3f5',
    'menutext' => '#3b3b3b',
    'menuactivebg' => '#ffffff',
    'menuactivetext' => '#3b3b3b',
    'blockheaderbg' => '#f6f6f2',
    'blockheadertext' => '#3b3b3b',
    'blockbg' => '#f6f6f2',
    'blocktext' => '#3b3b3b',
    'blocklinks' => '#0071b3',
    'teaserbg' => '#ffffff',
    'teaserborder' => '#ffffff',
    'submittedbg' => '#f6f6f2',
    'submittedtext' => '#9ab7c8',
    'triptychbg' => '#292929',
    'triptychlinks' => '#0071b3',
  )
);
$info['schemes']['bluegray'] = array(
  'title' => t('Blue Gray'),
  'colors' => array(
    'text' => '#636779',
    'links' => '#5580ff',
    'headers' => '#9297ac',
    'bgmain' => '#8c93a8',
    'bgtop' => '#2e417b',
    'bgtext' => '#000000',
    'bglinks' => '#ffffff',
    'headerbg' => '#252d45',
    'headertext' => '#c9cfdf',
    'headerglow' => '#b2b9cd',
    'menubg' => '#666f8c',
    'menutext' => '#002286',
    'menuactivebg' => '#c6c9d4',
    'menuactivetext' => '#002486',
    'blockheaderbg' => '#374877',
    'blockheadertext' => '#abbded',
    'blockbg' => '#dde0e9',
    'blocktext' => '#5f6472',
    'blocklinks' => '#5580ff',
    'teaserbg' => '#dde0e9',
    'teaserborder' => '#374877',
    'submittedbg' => '#374877',
    'submittedtext' => '#ffffff',
    'triptychbg' => '#252d45',
    'triptychlinks' => '#5580ff',
  ),
);



